Warm List

GET /public/v1/warmlist/{workspaceId}/prospects/{prospectId}

Get a single warmlist prospect with their full engagement history.

GET /public/v1/warmlist/{workspaceId}/prospects/{prospectId}

GET /public/v1/warmlist/{workspaceId}/prospects/{prospectId}

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/warmlist/{WORKSPACEID}/prospects/{PROSPECTID}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "prospect": {
      "id": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "headline": "<string>",
      "location": "<string>",
      "profile_picture": "<string>",
      "linkedin_url": "<string>",
      "linkedin_public_id": "<string>",
      "connection_degree": "<string>",
      "icp_fit": "<string>",
      "icp_fit_justification": "<string>",
      "created_at": "<string>"
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • prospectId string required
  • workspaceId string required

Query Parameters

  • ownerId string

    Admin/Owner only: view a specific workspace member's prospect by their user ID

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • prospect object
      + Show Child Attributes
      • id string
      • first_name string nullable
      • last_name string nullable
      • headline string nullable
      • location string nullable
      • profile_picture string nullable
      • linkedin_url string nullable
      • linkedin_public_id string nullable
      • connection_degree string nullable
      • icp_fit string nullable
      • icp_fit_justification string nullable
      • created_at string
      • engagements[] object array
        + Show Child Attributes
        • created_at string nullable
        • engagement_type string
        • monitored_profile_id string nullable
        • post_id string nullable
        • post_text string nullable
        • post_date string nullable
        • post_engagement_type string nullable